=== debian/changelog ===
osspd (1.3.2-5) unstable; urgency=low

  * Fix systemd service file.

 -- Ralf Jung <post@ralfj.de>  Thu, 10 Oct 2013 18:29:28 +0200

osspd (1.3.2-4) unstable; urgency=low

  * Move backends into their own packages.
  * Manage the ossp slave via update-alternatives.
  * Add a systemd service file (taken from Arch).
  * Add modprobe file to blacklist OSS modules - thanks, Stephen
    (Closes: #712705).

 -- Ralf Jung <post@ralfj.de>  Thu, 26 Sep 2013 22:28:08 +0200

osspd (1.3.2-3) unstable; urgency=low

  * Provide oss-compat, as we provide OSS, and conflict with it
    since it takes the OSS major/minor numbers.
  * Update Standards-Version to 3.9.4. No changes needed.
  * Add "-pthreads" compiler and linker flag. Patch based on Ubuntu
    patch by Logan Rosen <logan@ubuntu.com>.
  * Add links to git repository.

 -- Ralf Jung <post@ralfj.de>  Sat, 18 May 2013 18:18:14 +0200

osspd (1.3.2-2) unstable; urgency=low

  * 0004-Allow-to-set-slave-installation-path-during-compilat.patch:
    Removed unused variables.
  * Change architecture to linux-any as Hurd and FreeBSD lack epoll.
  * Extend package description.

 -- Ralf Jung <post@ralfj.de>  Tue, 02 Oct 2012 13:26:56 +0200

osspd (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #687711).

 -- Ralf Jung <post@ralfj.de>  Thu, 20 Sep 2012 11:07:39 +0200
