=== debian/control ===
Source: osspd
Section: sound
Priority: optional
Maintainer: Ralf Jung <post@ralfj.de>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               libasound2-dev,
               libfuse-dev,
               libpulse-dev
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/osspd/
Vcs-Browser: http://www.ralfj.de/git/osspd.git
Vcs-Git: git://ralfj.de/osspd.git

Package: osspd
Architecture: linux-any
Depends: lsb-base (>= 3.2-14),
         osspd-pulseaudio | osspd-backend,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: oss-compat
Conflicts: oss-compat
Description: OSS Proxy Daemon: Userland OSS emulation
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 Actually emulating the OSS devices makes for a more robust emulation compared
 to OSS wrappers using LD_PRELOAD, like aoss and padsp. It also works better
 when running foreign-architecture applications or using old libc versions for
 compatibility reasons.

Package: osspd-pulseaudio
Architecture: linux-any
Provides: osspd-backend
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Replaces: osspd (<< 1.3.2-4)
Breaks: osspd (<< 1.3.2-4)
Description: OSS Proxy Daemon: PulseAudio backend
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the PulseAudio backend for osspd.

Package: osspd-alsa
Architecture: linux-any
Provides: osspd-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Replaces: osspd (<< 1.3.2-4)
Breaks: osspd (<< 1.3.2-4)
Description: OSS Proxy Daemon: ALSA backend (experimental)
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the experimental ALSA backend for osspd.

Package: osspd-dbg
Architecture: linux-any
Depends: osspd (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: OSS Proxy Daemon: Debugging symbols
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the debugging symbols for the OSS Proxy Daemon and its
 backends.
