=== debian/rules ===
#!/usr/bin/make -f

SLAVESDIR=/usr/lib/osspd
UDEVDIR=/lib/udev/rules.d

%:
	dh $@ --parallel --with=systemd

override_dh_auto_build:
	dh_auto_build -- SLAVESDIR=$(SLAVESDIR) UDEVDIR=$(UDEVDIR)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr SLAVESDIR=$(SLAVESDIR) UDEVDIR=$(UDEVDIR)

override_dh_strip:
	dh_strip --dbg-package=osspd-dbg

override_dh_installdocs:
	mkdir -p debian/osspd-dbg/usr/share/doc
	ln -s osspd debian/osspd-dbg/usr/share/doc/osspd-dbg
	dh_installdocs

override_dh_install:
	dh_install --fail-missing

# Disable tests, they require running the osspd
override_dh_auto_test:
