=== debian/watch ===
version=3
http://sf.net/osspd/ossp-(.+)\.tar\.gz
