=== debian/changelog ===
osspd (1.3.3-6) unstable; urgency=medium

  * fix build with CMake 4 (Closes: #1113381)
  * d/control: remove hardcoded "Depends: libfuse3-4 (>= 3.17.2)"
    src:fuse3 has been fixed

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 01 Sep 2025 08:02:43 +0200

osspd (1.3.3-5) unstable; urgency=medium

  * d/control:
    + Build-Depends on libfuse3-dev (>= 3.17.2)
    + Remove "Breaks: libfuse3-4 (<< 3.17.2)"
    + Hardcode "Depends: libfuse3-4 (>= 3.17.2)"

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 15 May 2025 10:32:15 +0200

osspd (1.3.3-4) unstable; urgency=medium

  * Remove previous workaround now that fuse3 v3.17.2 is in unstable
    and add "Breaks: libfuse3-4 (<< 3.17.2)" in d/control

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 09 May 2025 08:30:50 +0200

osspd (1.3.3-3) unstable; urgency=medium

  * Fix SIGTERM handling on the libfuse side.
    https://github.com/libfuse/libfuse/issues/1182

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 23 Apr 2025 14:06:15 +0200

osspd (1.3.3-2) unstable; urgency=medium

  * Fix i386 build failure.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 01 Sep 2024 16:14:54 +0200

osspd (1.3.3-1) unstable; urgency=medium

  * New upstream release.
    + Build against libfuse3.
  * Drop patches applied upstream.
  * Add Build-Depends on cmake.
  * Update d/watch file.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 01 Sep 2024 12:22:44 +0200

osspd (1.3.2-14) unstable; urgency=medium

  [ Ralf Jung ]
  * Make Sébastien Noel the primary maintainer.

  [ Sébastien Noel ]
  * Update upstream current location.
  * Refresh patches information.
  * Declare compliance with Debian Policy 4.7.0.
  * Cherrypick a commit from upstream:
    d/p/GIT-Rewrite_set_extra_env.patch
  * Cherrypick a commit from ArchLinux package:
    d/p/Log-the-right-slave-program-name.patch
  * d/osspd.lintian-overrides: Suppress false positive for
    appstream-metadata-missing-modalias-provide.

 -- Sébastien Noel <sebastien@twolife.be>  Sun, 14 Jul 2024 18:08:22 +0200

osspd (1.3.2-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install all files below /usr. (Closes: #1059416)
    For udev rules, use udev.pc to find correct install location.
    For the rest, just hardcode /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 00:45:21 +0200

osspd (1.3.2-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add an alternative dependency of osspd-pulseaudio on pipewire-pulse
    (closes: #1030329).
  * Drop dependency of osspd on the obsolete lsb-base package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Feb 2023 21:49:50 +0300

osspd (1.3.2-13) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster:
    + osspd: Drop versioned constraint on lsb-base in Depends.
    + osspd-pulseaudio: Drop versioned constraint on osspd in Replaces.
    + osspd-pulseaudio: Drop versioned constraint on osspd in Breaks.
    + osspd-alsa: Drop versioned constraint on osspd in Replaces.
    + osspd-alsa: Drop versioned constraint on osspd in Breaks.

  [ Ralf Jung ]
  * Switch to debhelper compat level 13.

  [ Sébastien Noel ]
  * cherrypick 2 commits from upstream GIT:
    + d/p/GIT-fix-adsp_se.patch
    + d/p/GIT-fix-compiler-warnings.patch

 -- Ralf Jung <post@ralfj.de>  Mon, 04 Oct 2021 18:18:20 -0400

osspd (1.3.2-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert non-critical patch backports from 1.3.2-12.
    These do seem correct, but it's too close to the bullseye release
    to be making unimportant changes. (Closes: #990121)
  * Move VCS to salsa.debian.org with maintainer's agreement

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jun 2021 11:29:44 +0100

osspd (1.3.2-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert debhelper compat bump to try to get #986662 fixed in bullseye.
    At this point in the freeze, a debhelper compat level change is
    considered unnecessarily risky.

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Jun 2021 10:17:56 +0100

osspd (1.3.2-12) unstable; urgency=low

  [ Sébastien Noel ]
  * cherrypick 2 commits from upstream GIT:
    + d/p/GIT-fix-adsp_se.patch
    + d/p/GIT-fix-compiler-warnings.patch
  * Add workaround for pulseaudio >= 13
    d/p/Hack-to-work-with-modern-PulseAudio.patch  (Closes: #986662)

  [ Ralf Jung ]
  * Switch to debhelper compat level 13.

 -- Ralf Jung <post@ralfj.de>  Sat, 17 Apr 2021 14:28:09 +0200

osspd (1.3.2-11) unstable; urgency=medium

  * Update Standards-Version to 4.3.0.  No changes needed.
  * Fix cross-build with a patch by Helmut Grohne
    <helmut@subdivi.de> (again).  (Closes: #917827).

 -- Ralf Jung <post@ralfj.de>  Fri, 25 Jan 2019 15:36:20 +0100

osspd (1.3.2-10) unstable; urgency=medium

  * Fix build on MIPS.  (Closes: #916231)

 -- Ralf Jung <post@ralfj.de>  Wed, 26 Dec 2018 19:10:03 +0100

osspd (1.3.2-9) unstable; urgency=medium

  * Fix using target-architecture pkg-config. Patch by
    Helmut Grohne <helmut@subdivi.de>.  (Closes: #882365)
  * No longer depend on obsolete dh-systemd.  Instead, depend
    on sufficiently new debhelper.
  * Update Standards-Version to 4.1.2.  Changed some URLs to
    https.

 -- Ralf Jung <post@ralfj.de>  Fri, 08 Dec 2017 19:56:38 +0100

osspd (1.3.2-8) unstable; urgency=medium

  * Mark osspd as Multi-Arch: foreign (Closes: #861577).
  * Update Standards-Version to 3.9.8. No changes needed.
  * Use https URL for Vcs-Browser.
  * Add Documentation to systemd service file.
  * Fix a typo in the manpage.

 -- Ralf Jung <post@ralfj.de>  Wed, 17 May 2017 19:31:18 +0200

osspd (1.3.2-7) unstable; urgency=medium

  * Migrate debug symbols to ddeb.
  * Update Standards-Version to 3.9.6. No changes needed.

 -- Ralf Jung <post@ralfj.de>  Mon, 28 Dec 2015 13:39:48 +0100

osspd (1.3.2-6) unstable; urgency=medium

  * Load cuse module via module-load.d.
  * Update Standards-Version to 3.9.5. No changes needed.


