=== debian/control ===
Source: osspd
Section: sound
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Uploaders: Ralf Jung <post@ralfj.de>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libasound2-dev,
               libfuse3-dev (>= 3.17.2),
               libpulse-dev,
               pkgconf,
               systemd-dev
Standards-Version: 4.7.2
Homepage: https://github.com/OpenMandrivaSoftware/ossp
Vcs-Browser: https://salsa.debian.org/debian/osspd
Vcs-Git: https://salsa.debian.org/debian/osspd.git

Package: osspd
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: osspd-pulseaudio | osspd-backend,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: oss-compat
Conflicts: oss-compat
Description: OSS Proxy Daemon: Userland OSS emulation
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 Actually emulating the OSS devices makes for a more robust emulation compared
 to OSS wrappers using LD_PRELOAD, like aoss and padsp. It also works better
 when running foreign-architecture applications or using old libc versions for
 compatibility reasons.

Package: osspd-pulseaudio
Architecture: linux-any
Provides: osspd-backend
Depends: pulseaudio | pipewire-pulse, ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Description: OSS Proxy Daemon: PulseAudio backend
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the PulseAudio backend for osspd.

Package: osspd-alsa
Architecture: linux-any
Provides: osspd-backend
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osspd
Description: OSS Proxy Daemon: ALSA backend (experimental)
 OSS Proxy Daemon is a Linux userland OSS sound device (/dev/[a]dsp and
 /dev/mixer) implementation using CUSE. Currently it supports
 forwarding OSS sound streams to PulseAudio and ALSA.
 .
 This package contains the experimental ALSA backend for osspd.
