=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

SLAVESDIR=/usr/lib/osspd

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dalsa=ON -Dpulseaudio=ON -DSLAVESDIR=$(SLAVESDIR)

override_dh_install:
	dh_install
	# adding kmod integration
	install -D -m 0644 debian/osspd.kmod debian/osspd/usr/lib/modules-load.d/osspd.conf

# Disable tests, they require running the osspd
override_dh_auto_test:
