=== debian/watch ===
version=4
https://github.com/OpenMandrivaSoftware/ossp/tags .*/v?(\d.*)@ARCHIVE_EXT@
